.so head.mm
.H 2 "Sammanhngande text"
.P
.BIP ".DS [f [u [r]]]" "display static"
Om man vill skriva en sammanhngande text, t\ ex
en tabell eller en sammanstllning s kan man anvnda \fB.DS\fP.
Format \f(CBf\fP, utfyllnad \f(CBu\fP och 
hgerindragning \f(CBr\fP beskrivs senare.
Om det resterande utrymmet
p papperet r fr litet fr texten flyttas hela texten till ny sida.
.P
Fljande exempel visar hur man anvnder \fB.DS\fP fr att slippa
formatering av texten. Ingen radbrytning sker, utan texten
skrivs ut som den r. Detta kan man ndra med argumenten till \f(CB.DS\fP.
.demo-ruta
\&.DS
Customer:\et(entering the bookshop) Good morning.
Proprietor:\etGood morning, sir.  Can I help you?
Customer:\etEr, yes. Do you have a copy of "Thirty Days in 
\et\etthe Samarkind Desert with the Duchess of Kent" by
\et\etA. E. J. Eliott, O.B.E.?
Proprietor:\etAh, well, I don't know the book, sir...
Customer:\etEr, never mind, never mind.  How about
\et\et"A Hundred and One Ways to Start a Fight"?
\&.DE
.demo-gives
.nf
Customer:\t(entering the bookshop) Good morning.
Proprietor:\tGood morning, sir.  Can I help you?
Customer:\tEr, yes. Do you have a copy of "Thirty Days in
\t\tthe Samarkind Desert with the Duchess of Kent" by
\t\tA. E. J. Eliott, O.B.E.?
Proprietor:\tAh, well, I don't know the book, sir...
Customer:\tEr, never mind, never mind.  How about
\t\t"A Hundred and One Ways to Start a Fight"?
.demo-end
I exemplet ovan r texten justerad efter \fICustomer:\fP
och \fIProprietor:\fP. \f(CB\et\fP r ett tabulatortecken som
normalt motsvarar var ttonde kolumn eller en halv tum.
Ett mellanslag i editorn motsvarar nmligen inte samma avstnd 
vid utskrift. I stllet anvnds tabulatortecknet som markr.
Man kan stta om tabulatorpositionerna precis som p en vanlig
skrivmaskin.
.GETR fler_troffkom
Det finns ven mjlighet att f texten med konstant bredd, precis
som p en skrivmaskin.
.GETR verbatim_text
.H 3 "Olika varianter av sammanhngande text"
.P
Det finns lite olika argument till \fB.DS\fP.
Hgerindragningen \fBr\fP anger hur mnga tecken som radlngden ska
minskas med.
.DS
.TS
tab(;) center;
cb | cb
c | l.
Format;Betydelse
_
tomt;Ingen indragning.
"";Ingen indragning.
L;Ingen indragning.
I;Indragning.
C;Varje rad centreras.
CB;Hela texten centreras som ett block.
R;Alla rader hgerjusteras.
RB;Hela texten hgerjusteras som ett block.

=
.T&
cb | cb
c | l.
Utfyllnad;Betydelse
_
tomt;Ingen utfyllning.
"";Ingen utfyllning.
N;Ingen utfyllning.
F;Utfyllning av raden.
.TE
.TB "Format och utfyllnadsargment till \fB.DS\fP."
.DE
.H 2 "Flytande sammanhngande text"
.P
Med utfyllning menas att varje rad fylls p frn nsta rad s att
hgermarginalen blir rak.
.BIP ".DF [f [u [r]]]" "display floating"
I bland vill man inte att resten av textsidan ska bli tom
om texten mellan \fB.DS\fP och \fB.DE\fP mste flyttas till
nsta sida. Man kan d anvnda \fB.DF\fP, som fortstter
den vanliga texten p samma sida, men flyttar texten mellan
\&\fB.DF\fP och \fB.DE\fP till nsta sida.
I vrigt fungerar \fB.DF\fP precis som \fB.DS\fP.
.demo-var
.demo-nr De 0
.demo-vlist 0
Normalt uppfrande.
.demo-vlist 1
Varje flytande text hamnar p en egen sida, utan ngon text efter.
.demo-nr Df 5
.demo-vlist 0
Flytande text skrivs ut efter kapitlet eller efter hela dokumentet.
.demo-vlist 1
Texten skrivs ut om det finns plats p nuvarande sida, annars efter hela
dokumentet.
.demo-vlist 2
Exakt en flytande text skrivs ut verst p varje sida.
.demo-vlist 3
Skriv ut en flytande text om  det finns plats p nuvarande sida.
Annars skrivs den verst p nsta sida.
.demo-vlist 4
Skriver ut s mnga flytande texter som fr plats p en sida.
.demo-vlist 5
Skriv ut en flytande text om det finns plats p nuvarande sida.
Annars skrivs s mnga som fr plats ut verst p nsta sida.
.demo-var-end
