.\"
.\"		Skrivet av Jrgen Hgg 1991.
.\"		jh@efd.lth.se
.\"
.\"	text. Huvud
.\"
.so head.mm
.PH "''Skriva rapport med groff och mgm'%'"
.H 1 "Grundlggande beskrivning"
.P
En text bestr av en mngd ord. Dessa ord formas till meningar.
Meningarna samlas i olika stycken eller paragrafer.
Styckena stts sedan samman till kapitel, och
efter ngra kapitel s har man en bok, teoretiskt sett i alla fall.
.br
Jag ska hr frska beskriva hur man formaterar sin text
med \*(gr.
Texterna i alla exempel har ngon annan skrivit.
(Svrt att hitta p exempeltext sjlv :-)\*F
.FS
Se 'man smilie'.
.FE
.H 2 "Historisk bakgrund till troff"
.P
Troff r ett program som ursprungligen skrevs av
Joseph\ F.\ Ossanna p Bell Laboratories 1973. Frn brjan var troff
skrivet i PDP-11 assembler\*F,
.FS
PDP-11 var en ldre datortyp frn Digital Equipment.
.FE
vilken var handoptimerad fr att f
plats i PDP-11:an. Den versattes 1975 till C.
Frebilden tros vara programmet \fBrunoff\fP som skrevs 1964 p MIT\*F.
.FS
Massachusetts Institute of Technology.
.FE
Tyvrr dog frfattaren till troff 1977 i en motorcykelolycka.
Ingen vet numera exakt
hur originaltroff fungerar, eftersom Ossanna inte efterlmnade ngon 
information om programkoden.
Assemblerversionen hade en del fel och inkonsekvenser, och 
man fick bygga in detta i C-versionen fr att inte kncka gamla dokument.
.P
Nu har James C. Clark skrivit en helt ny troff i C++ som han kallar
\*(gr och inkluderat denna i FSF:s\*F
.FS
FSF betyder Free Software Foundation.
.FE
Gnu-projekt\*F.
.FS
Gnu betyder "Gnu's not unix", och r ett projekt av
FSF som gr ut p att skapa ett komplett, gratis
operativsystem.
.FE
.H 2 "Olika varianter av formateringsprogram"
.VL 2c
.LI troff
Originalet som endast skriver p en CAT fototypsttningsmaskin.
Dessa tillverkas inte lngre...
.LI nroff
Speciell version av troff som r optimerad fr vanliga radskrivare.
.LI ditroff
En ny version av troff frn AT&T\(rg som klarar alla typer av skrivare.
De har frmodligen skrivit om en hel del :-).
.LI \*(gr
Helt nyskriven troff som r gratis.
I fortsttningen kommer endast \*(gr att beskrivas.
.LE
.H 2 "Olika makropaket"
.P
Till formateringsprogrammet finns det olika makropaket som
frenklar arbetet vsentligt.
Ett makropaket innehller rutiner fr att formatera snyggt utan
anstrngning. Det blir ocks ett bra resultat direkt, utan att man
behver tnka p indragningar, stilsorter m.m.
.VL 2c
.LI ms
\fBms\fP utvecklades omkring 1974 av Mike Lesk p Bell Laboratories.
Det var det frsta officiella makropaketet till troff.
.LI me
\fBme\fP skrevs ursprungligen av Eric P. Allman inom projektet \fBINGRES\fP
p Berkeley i Kalifornien. \fBme\fP r ett paket avsett fr att skriva
avhandlingar o.d. \fPme\fP har ungefr samma uppbyggnad som \fBms\fP.
.LI mm
\fBmm\fP (\fIMemorandum Macros\fP) skrevs av Ted Dolotta, J. R. Mashey och
D. W. Smith p Bell Labs 1977 som en del av deras \fIProgrammer's Workbench\fP.
Liksom \fBms\fP var \fBmm\fP tnkt att anvndas
i den interna dokumentationen.
.LI man
\fBman\fP makrona r nog de mest spridda,
eftersom de anvnds till att formatera
manualsidor till \*[unix]. De flesta \fIpublic domain\fP\*F program
till \*[unix] har manualen formaterad med dessa makro.
.FS
\fIPublic domain\fP r en beteckning p program som inte innehller
ngon upphovsrtt och som drfr r gratis. Dessa ska inte frvxlas
med Gnuprogram, vilka r fria, men som fortfarande har upphovsrtten kvar.
Detta kallas 'copyleft', i motsats till 'copyright'.
.FE
.LI mgs
\fBmgs\fP skrevs av James C. Clark som en del i hans groffprojekt. Det r
ett \fBms\fP-kompatibelt paket.
.LI \fBmgm\fP
\fBmgm\fP r skrivet av undertecknad som ett frsk att f \fBmm\fP-makrona
vettiga och anvndbara med \*(gr.
.LE
.H 2 "Denna manuals upplggning"
.P
Denna manual r helt inriktad mot \*(gr tillsammans med \fBmgm\fP
och vissa kommandon fungerar inte
i vanliga troff. Det r inte lnt att anvnda troff d groff
r mycket bttre (och dessutom tillgnglig fr alla).
.P
.ce
\fB\s+1OBSERVERA!\s0\fP
.br
I fortsttningen kommer endast \*(gr och mgm att behandlas.
\fBmgm\fP benmns i fortsttningen som \fBmm\fP. Denna manual kommer
dessutom endast att behandla den svenska version av \fPmgm\fP, vilken
heter \fBmmse\fP. Skillnaden r endast sidstorlek (A4), samt att 
alla inbyggda texter i \fPmmse\fB r p svenska.
.H 1 "Hur man brjar"
.P
Man skriver in sin text i en fil med valfri editor\*F, vanligtvis
med suffixet \fI.mm\fP, och kr drefter
.FS
Normalt vi eller emacs.
.FE
\*(gr. Genom att
ange olika flaggor\*F till \*(gr kan man f utskrift p skrmen
.FS
Se appendix XX.
.FE
eller p skrivaren.
Texten kan se ut hur som helst i filen, utseendet bestms av
formateringskommandon. Dessa kommandon mste brja med '\fB.\fP'
(punkt) i frsta
kolumnen p en rad.
.H 2 "Syntaxbeskrivning"
Kommando eller makro kommer i fortsttningen att benmnas som kommando
fr att frenkla frstelsen av hela formateringssystemet.
Syntaxen beskrivs s hr:
.SP 0.5
.B .XX
argument1 [argument2 [argument3]]
.SP 0.5
I detta fallet r kommandot \fB.XX\fP, och argumenten fljer efter.
Argument separeras med ett blanktecken. Om argumentet innehller
blanktecken s mste det skrivas inom citattecken, \fI"argument"\fP.
Argument 1 mste anges, dremot behver inte argument 2 och 3 anges,
eftersom de str inom klammer.
Hr fljer ett exempel:
.demo-ruta
\&.P
I am not a looney!
\&.br
Why should I be attired with the epithet looney merely
because I have a pet halibut? 
I've heard tell that Sir Gerald Nabardo
has 
a
pet prawn called Simon (you wouldn't call him a looney); 
furthermore, Dawn Pailthorpe, the lady show\-jumper, 
had a clam, called Stafford, after
the late Chancellor, Allan Bullock has  two pikes, both
called Chris, and Marcel Proust had an haddock!
\&.SP
So, if you're calling the author of 'A la recherche du 
temps perdu' a looney, I shall have to ask you to step 
outside!
.fi
.demo-gives "Efter formatering ser det ut s hr:"
.P
I am not a looney!
.br
Why should I be attired with the epithet looney merely
because I have a pet halibut? 
I've heard tell that Sir Gerald Nabardo
has 
a
pet prawn called Simon (you wouldn't call him a looney); 
furthermore, Dawn Pailthorpe, the lady show\-jumper, 
had a clam, called Stafford, after
the late Chancellor, Allan Bullock has  two pikes, both called Chris, and
Marcel Proust had an haddock!
.sp
So, if you're calling the author of 'A la
recherche du temps perdu' a looney, I shall have to ask you to step outside!
.demo-end
.P
Observera att \*(gr avstavar texten sjlv. 
.GETR utfyllnad_och_hogerjust
